Package com.io7m.idstore.admin_client.internal

# Class IdAClientProtocolHandlerAbstract

java.lang.Object
com.io7m.idstore.admin_client.internal.IdAClientProtocolHandlerAbstract

All Implemented Interfaces:
  `IdAClientAdminsType`, `IdAClientAuditType`, `IdAClientUsersType`, `IdAClientProtocolHandlerType`

Direct Known Subclasses:
  `IdAClientProtocolHandler1`

public abstract class IdAClientProtocolHandlerAbstract extends Object implements IdAClientProtocolHandlerType
Abstract base class for versioned handlers.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdAClientProtocolHandlerAbstract(HttpClient inHttpClient, IdAStrings inStrings, URI inBase)`
  Abstract base class for versioned handlers.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected final URI`
  `base()`
  `protected final HttpClient`
  `httpClient()`
  `protected final IdAStrings`
  `strings()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.io7m.idstore.admin_client.api.IdAClientAdminsType

  `adminBanCreate, adminBanDelete, adminBanGet, adminCreate, adminDelete, adminEmailAdd, adminEmailRemove, adminGet, adminGetByEmail, adminPermissionGrant, adminPermissionRevoke, adminSearchBegin, adminSearchByEmailBegin, adminSearchByEmailNext, adminSearchByEmailPrevious, adminSearchNext, adminSearchPrevious, adminSelf, adminUpdate`

  ### Methods inherited from interface com.io7m.idstore.admin_client.api.IdAClientAuditType

  `auditSearchBegin, auditSearchNext, auditSearchPrevious`

  ### Methods inherited from interface com.io7m.idstore.admin_client.internal.IdAClientProtocolHandlerType

  `login`

  ### Methods inherited from interface com.io7m.idstore.admin_client.api.IdAClientUsersType

  `userBanCreate, userBanDelete, userBanGet, userCreate, userCreate, userDelete, userEmailAdd, userEmailRemove, userGet, userGetByEmail, userLoginHistory, userSearchBegin, userSearchByEmailBegin, userSearchByEmailNext, userSearchByEmailPrevious, userSearchNext, userSearchPrevious, userUpdate`

- ## Constructor Details

  - ### IdAClientProtocolHandlerAbstract

    public IdAClientProtocolHandlerAbstract(HttpClient inHttpClient, IdAStrings inStrings, URI inBase)
    Abstract base class for versioned handlers.
    Parameters:
      `inHttpClient` - The HTTP client
      `inBase` - The base URI
      `inStrings` - The string resources

- ## Method Details

  - ### httpClient

    protected final HttpClient httpClient()

  - ### strings

    protected final IdAStrings strings()

  - ### base

    protected final URI base()